*** src/backend/commands/trigger.c.orig	Tue Feb  8 23:12:45 2000
--- src/backend/commands/trigger.c	Tue Feb  8 23:12:51 2000
***************
*** 1201,1208 ****
  			SaveTriggerData.tg_trigger   =
  					rel->trigdesc->tg_after_row[TRIGGER_EVENT_DELETE][itemno];
  			break;
- 
- 		default:
  	}
  
  	/* ----------
--- 1201,1206 ----
*** src/include/lib/stringinfo.h.orig	Tue Feb  8 23:11:15 2000
--- src/include/lib/stringinfo.h	Tue Feb  8 23:11:33 2000
***************
*** 98,104 ****
  #define appendStringInfoCharMacro(str,ch) \
  	(((str)->len + 1 >= (str)->maxlen) ? \
  	 appendStringInfoChar(str, ch) : \
! 	 ((str)->data[(str)->len] = (ch), (str)->data[++(str)->len] = '\0'))
  
  /*------------------------
   * appendBinaryStringInfo
--- 98,104 ----
  #define appendStringInfoCharMacro(str,ch) \
  	(((str)->len + 1 >= (str)->maxlen) ? \
  	 appendStringInfoChar(str, ch) : \
! 	 (void)((str)->data[(str)->len] = (ch), (str)->data[++(str)->len] = '\0'))
  
  /*------------------------
   * appendBinaryStringInfo
